Pin or unpin a domain to your dashboard

Pin or unpin a domain to your dashboard for quick access. Pinned domains appear at the top of your domain page. The endpoint returns a `domain_id` for subsequent API calls related to domain dynamic DNS logs.

Domain Services Domains

Context

Used in the dashboard

/ /domains

Headers

Accept Example
Content-Type Example

Body

required
application/json
domain_id string required · Example: 21350
domain_name string required · Example: example.com

Responses

200
data object required
data.action string · enum required · Example: pinned
pinned
unpinned
data.domain_id string required · Example: 21350
data.message string required · Example: example.com pinned to dashboard

Human-readable message.

data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/domain-pins
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/domain-pins" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "domain_id": "21350",
    "domain_name": "example.com"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "action": "pinned",
    "domain_id": "21350",
    "message": "example.com pinned to dashboard"
  }
}
Request Body Example 1
{
  "domain_id": "21350",
  "domain_name": "example.com"
}